using Qyoto;

public class StartWindowUI {
	
	private StartWindowUI startWin;
	private SecondWindowUI secondWin;

	public QPushButton btnStart;
	public QPushButton btnAbout;
    public QVBoxLayout vbStartLayout;

	public void StartUI(QMainWindow mainwin, QWidget page) {
		mainwin.WindowTitle = "Start Page";
		btnStart = new QPushButton("Go to Second page");
		btnAbout = new QPushButton("About Start");
		vbStartLayout = new QVBoxLayout(page);
	    vbStartLayout.AddWidget(btnStart);
	    vbStartLayout.AddWidget(btnAbout);
		
		//QObject.Connect(btnAbout, Qt.SIGNAL("clicked()"), mainwin, Qt.SLOT("ShowAbout(mainwin, page)"));
	}
		[Q_SLOT]
		private void ShowAbout(QMainWindow win, QWidget p) {
			QMessageBox.About(win, "About", "This is QStackedWidget page No " + p.ToString());
		}

}

